% Graphic objects and functions for 2D and 3D figures.
%
% 3D shapes
%   cov2elli             - Ellipse points from mean and covariances matrix.
%   cov3elli             - 3D ellipsoid from Gaussian mean and covariance.
%   idp3elli             - 3D ellipsoid from Gaussian IDP.
%
% Graphic creation and redrawing
%   createObjPatch       - Create object patch.
%   createLmkGraphics    - Create landmark graphics.
%   createGround         - Create ground graphics.
%   createSimLmkGraphics - Create simulated landmark graphics.
%   drawPnt              - Draw 3D point with color.
%   drawEllipse          - Draw 2D ellipse or 3D ellipsoid.
%   drawLabel            - Draw label in 2D or 3D plot.
%   drawSeg              - Draw 2D or 3D segment with color.
%   drawObject           - Draw 3D object graphics.
%   drawRaw              - Draw raw sensor data.
%   drawEucPnt           - Draw Euclidean point landmark in MapFig.
%   drawIdpPnt           - Draw inverse-depth point landmark in MapFig.
%   drawAhmPnt           - Draw anchored Homogeneous point landmark in MapFig.
%   drawHmgPnt           - Draw Homogeneous point landmark in MapFig.
%   drawPlkLin           - Draw Plucker line landmark in MapFig.
%   drawAplLin           - Draw anchored Plucker line landmark in MapFig.
%   drawIdpLin           - Draw inverse-depth line landmark in MapFig.
%   drawAhmLin           - Draw anchored homogenous line landmark in MapFig.
%   drawHmgLin           - Draw homogenous line landmark in MapFig.
%   drawSegmentsImage    - Draw segments 2D object.
%   drawSegmentsObject   - Draw segments object.
%
% Figues, colors and other
%   mapObserver          - Define observer camera for map plots.
%   moreindatatip        - Display index information in the data tip.
%   satColor             - Saturate color.
%   imgFrame             - Exports figure graphics to image file.
%   makeVideoFrame       - Export figure to image.
